> ## Documentation Index
> Fetch the complete documentation index at: https://clickhouse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List of organization Postgres services

> Returns a list of all Postgres services in the organization.

Returns a list of all Postgres services in the organization.

#### Permission

The API key must have the `control-plane:postgres-service:view` permission.


## OpenAPI

````yaml /_specs/cloud-openapi.json get /v1/organizations/{organizationId}/postgres
openapi: 3.1.1
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-1451325
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: Notifications
  - name: User management
  - name: Billing
  - name: Role Management
  - name: Service
  - name: Backup
  - name: Snapshot
  - name: API keys
  - name: Prometheus
  - name: ClickPipes
  - name: ClickStack
  - name: Postgres
  - name: UDF
  - name: Query API endpoints
  - name: Saved queries
paths:
  /v1/organizations/{organizationId}/postgres:
    get:
      tags:
        - Postgres
      summary: List of organization Postgres services
      description: Returns a list of all Postgres services in the organization.
      operationId: postgresServiceGetList
      parameters:
        - in: path
          name: organizationId
          description: ID of the organization that owns the services.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    type: array
                    items:
                      $ref: '#/components/schemas/PostgresServiceListItem'
        '400':
          description: >-
            The request cannot be processed due to a client error. Please verify
            your request parameters and try again.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
        '500':
          description: >-
            An internal server error has occurred. If this issue persists,
            please contact ClickHouse Cloud support for assistance.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    description: HTTP status code.
                    example: 500
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
components:
  schemas:
    PostgresServiceListItem:
      properties:
        name:
          $ref: '#/components/schemas/pgNameProperty'
        provider:
          $ref: '#/components/schemas/pgProvider'
        region:
          $ref: '#/components/schemas/pgRegion'
        postgresVersion:
          $ref: '#/components/schemas/pgVersion'
        size:
          $ref: '#/components/schemas/pgSize'
        haType:
          $ref: '#/components/schemas/pgHaType'
        standbyCount:
          $ref: '#/components/schemas/pgStandbyCount'
        tags:
          $ref: '#/components/schemas/pgTags'
        id:
          $ref: '#/components/schemas/pgIdProperty'
        state:
          $ref: '#/components/schemas/pgStateProperty'
        createdAt:
          $ref: '#/components/schemas/pgCreatedAtProperty'
        isPrimary:
          $ref: '#/components/schemas/pgIsPrimaryProperty'
        deletionProtection:
          $ref: '#/components/schemas/pgDeletionProtectionProperty'
    pgNameProperty:
      type: string
      title: Postgres Service Name
      description: >-
        Name of the Postgres service. Alphanumerical string with whitespaces up
        to 50 characters.
      minLength: 1
      maxLength: 50
    pgProvider:
      type: string
      enum:
        - aws
        - gcp
      title: Cloud provider
      description: The cloud provider for a Postgres service.
    pgRegion:
      type: string
      title: Service region
      description: The cloud region for a Postgres service.
    pgVersion:
      type: string
      title: Postgres major version
      enum:
        - '19'
        - '18'
        - '17'
    pgSize:
      type: string
      title: VM size
      description: The VM size for a Postgres service.
      enum:
        - c6gd.large
        - c6gd.xlarge
        - c6gd.2xlarge
        - c6gd.4xlarge
        - c6gd.8xlarge
        - c6gd.16xlarge
        - i7i.large
        - i7i.xlarge
        - i7i.2xlarge
        - i7i.4xlarge
        - i7i.8xlarge
        - i7i.12xlarge
        - i7i.16xlarge
        - i7i.24xlarge
        - i7ie.large
        - i7ie.xlarge
        - i7ie.2xlarge
        - i7ie.3xlarge
        - i7ie.6xlarge
        - i7ie.12xlarge
        - i7ie.18xlarge
        - i7ie.24xlarge
        - i8g.large
        - i8g.xlarge
        - i8g.2xlarge
        - i8g.4xlarge
        - i8g.8xlarge
        - i8g.16xlarge
        - i8g.24xlarge
        - i8ge.large
        - i8ge.xlarge
        - i8ge.2xlarge
        - i8ge.3xlarge
        - i8ge.6xlarge
        - i8ge.12xlarge
        - i8ge.18xlarge
        - i8ge.24xlarge
        - m6gd.large
        - m6gd.xlarge
        - m6gd.2xlarge
        - m6gd.4xlarge
        - m6gd.8xlarge
        - m6gd.16xlarge
        - m6id.large
        - m6id.xlarge
        - m6id.2xlarge
        - m6id.4xlarge
        - m6id.8xlarge
        - m6id.16xlarge
        - m8gd.large
        - m8gd.xlarge
        - m8gd.2xlarge
        - m8gd.4xlarge
        - m8gd.8xlarge
        - m8gd.16xlarge
        - r6gd.medium
        - r6gd.large
        - r6gd.xlarge
        - r6gd.2xlarge
        - r6gd.4xlarge
        - r6gd.8xlarge
        - r6gd.12xlarge
        - r6gd.16xlarge
        - r6id.large
        - r6id.xlarge
        - r6id.2xlarge
        - r6id.4xlarge
        - r6id.8xlarge
        - r6id.12xlarge
        - r6id.16xlarge
        - r6id.24xlarge
        - r6id.32xlarge
        - r8gd.medium
        - r8gd.large
        - r8gd.xlarge
        - r8gd.2xlarge
        - r8gd.4xlarge
        - r8gd.8xlarge
        - r8gd.12xlarge
        - r8gd.16xlarge
        - r8gd.24xlarge
        - r8gd.48xlarge
        - c4a-highmem-lssd-4
        - c4a-highmem-lssd-8
        - c4a-highmem-lssd-16
        - c4a-highmem-lssd-32
        - c4a-highmem-lssd-48
        - c4a-highmem-lssd-64
        - c4a-highmem-lssd-72
        - c4a-standard-lssd-4
        - c4a-standard-lssd-8
        - c4a-standard-lssd-16
        - c4a-standard-lssd-32
        - c4a-standard-lssd-48
        - c4a-standard-lssd-64
        - c4a-standard-lssd-72
        - c4-highmem-lssd-4
        - c4-highmem-lssd-8
        - c4-highmem-lssd-16
        - c4-highmem-lssd-24
        - c4-highmem-lssd-32
        - c4-highmem-lssd-48
        - c4-highmem-lssd-96
        - c4-highmem-lssd-144
        - c4-highmem-lssd-192
        - c4-highmem-lssd-288
        - c4-standard-lssd-4
        - c4-standard-lssd-8
        - c4-standard-lssd-16
        - c4-standard-lssd-24
        - c4-standard-lssd-32
        - c4-standard-lssd-48
        - c4-standard-lssd-96
        - c4-standard-lssd-144
        - c4-standard-lssd-192
        - c4-standard-lssd-288
        - c4d-highmem-lssd-8
        - c4d-highmem-lssd-16
        - c4d-highmem-lssd-32
        - c4d-highmem-lssd-48
        - c4d-highmem-lssd-64
        - c4d-highmem-lssd-96
        - c4d-highmem-lssd-192
        - c4d-highmem-lssd-384
        - c4d-standard-lssd-8
        - c4d-standard-lssd-16
        - c4d-standard-lssd-32
        - c4d-standard-lssd-48
        - c4d-standard-lssd-64
        - c4d-standard-lssd-96
        - c4d-standard-lssd-192
        - c4d-standard-lssd-384
        - c3-standard-lssd-4
        - c3-standard-lssd-8
        - c3-standard-lssd-22
        - c3-standard-lssd-44
        - c3-standard-lssd-88
        - c3-standard-lssd-176
        - c3d-highmem-lssd-8
        - c3d-highmem-lssd-16
        - c3d-highmem-lssd-30
        - c3d-highmem-lssd-60
        - c3d-highmem-lssd-90
        - c3d-highmem-lssd-180
        - c3d-highmem-lssd-360
        - c3d-standard-lssd-8
        - c3d-standard-lssd-16
        - c3d-standard-lssd-30
        - c3d-standard-lssd-60
        - c3d-standard-lssd-90
        - c3d-standard-lssd-180
        - c3d-standard-lssd-360
        - z3-highmem-highlssd-8
        - z3-highmem-highlssd-16
        - z3-highmem-highlssd-22
        - z3-highmem-highlssd-32
        - z3-highmem-highlssd-44
        - z3-highmem-highlssd-88
        - z3-highmem-standardlssd-14
        - z3-highmem-standardlssd-22
        - z3-highmem-standardlssd-44
        - z3-highmem-standardlssd-88
        - z3-highmem-standardlssd-176
        - n2-highmem-2xlssd-4
        - n2-highmem-2xlssd-8
        - n2-highmem-2xlssd-16
        - n2-highmem-2xlssd-32
        - n2-highmem-2xlssd-48
        - n2-highmem-2xlssd-64
        - n2-highmem-2xlssd-96
        - n2-standard-2xlssd-4
        - n2-standard-2xlssd-8
        - n2-standard-2xlssd-16
        - n2-standard-2xlssd-32
        - n2-standard-2xlssd-48
        - n2-standard-2xlssd-64
        - n2-standard-2xlssd-96
        - n2-highmem-4xlssd-2
        - n2-highmem-4xlssd-4
        - n2-highmem-4xlssd-8
        - n2-highmem-4xlssd-16
        - n2-highmem-4xlssd-32
        - n2-highmem-4xlssd-48
        - n2-highmem-8xlssd-2
        - n2-highmem-8xlssd-4
        - n2-highmem-8xlssd-8
        - n2-highmem-8xlssd-16
        - n2-highmem-8xlssd-32
        - n2-highmem-16xlssd-2
        - n2-highmem-16xlssd-4
        - n2-highmem-16xlssd-8
        - n2-highmem-16xlssd-16
    pgHaType:
      type: string
      description: >-
        Type of high availability: “none” for no replication, “async” for
        asynchronous replication to a single standby, and “sync” for synchronous
        replication to the number of standbys in `standbyCount` (two by
        default).
      enum:
        - none
        - async
        - sync
    pgStandbyCount:
      type: integer
      description: >-
        Number of hot standby instances. Accepted values and defaults depend on
        `haType`:

        - “none”: 0 (default)

        - “async”: 1 (default)

        - “sync”: 1, or 2 (default)


        When `haType` is updated without `standbyCount`, the default for the new
        `haType` applies.
      enum:
        - 0
        - 1
        - 2
    pgTags:
      type: array
      items:
        $ref: '#/components/schemas/ResourceTagsV1'
      maxItems: 50
      title: Postgres Tags
      description: >-
        Tags associated with the Postgres service. Tag keys starting with “chc_”
        are reserved for internal use.
    pgIdProperty:
      type: string
      title: Unique Postgres service ID
      format: uuid
      example: f71df78e-ddad-82d0-8dfa-abbec741b82e
    pgStateProperty:
      type: string
      title: Postgres Service State
      description: Current state of the service
      enum:
        - creating
        - restarting
        - running
        - replaying_wal
        - restoring_backup
        - finalizing_restore
        - unavailable
        - stopped
        - deleting
    pgCreatedAtProperty:
      type: string
      format: date-time
      title: Postgres Service creation timestamp
      example: '2026-03-26T20:51:16.384Z'
    pgIsPrimaryProperty:
      type: boolean
      title: Postgres Service is Primary
      description: True if this service is the primary service in the data warehouse
      default: false
    pgDeletionProtectionProperty:
      type: boolean
      title: Postgres Service Deletion Protection
      description: >-
        When true, the service cannot be deleted until deletion protection is
        turned off. Only available for organizations with deletion protection
        enabled.
    ResourceTagsV1:
      type: object
      properties:
        key:
          type: string
          description: Tag key. Must be alphanumeric with dashes, underscores and dots.
          minLength: 1
          maxLength: 128
          pattern: ^[a-zA-Z0-9._-]+$
        value:
          type: string
          description: Tag value. Must be alphanumeric with dashes, underscores and dots.
          maxLength: 256
          pattern: ^[a-zA-Z0-9._-]+$
      required:
        - key
      example:
        key: Environment
        value: staging
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi
      x-permission-scopes: >-
        The scope list of a `security` requirement holds ClickHouse Cloud API
        key permission ids (for example `control-plane:organization:view`), not
        OAuth scopes. OpenAPI has no field for API key permissions, so this is
        the closest available place. A key must hold every permission listed on
        an operation to call it; an operation with no scopes needs none beyond a
        valid key. Every operation declares at most one requirement object,
        always for this scheme, so the list is only ever conjunctive —
        alternative sets of permissions are never expressed.

````